﻿using System.ComponentModel;
using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            Loaded += Window_Loaded;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 윈도우 로드시 처리하기 - Window_Loaded(sender, e)

        /// <summary>
        /// 윈도우 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            BindingList<TestItem> list = new BindingList<TestItem>();

            for(int i = 0; i < 10; i++)
            {
                TestItem item = new TestItem();

                item.Name = "test tree view item " + i.ToString();

                item.ChildList = new BindingList<TestItem>();

                list.Add(item);

                for(int j = 0; j < 5; j++)
                {
                    TestItem childItem = new TestItem();

                    childItem.Name = "test tree view item " + i.ToString();

                    item.ChildList.Add(childItem);
                }
            }

            this.treeView.ItemsSource = list;
        }

        #endregion
    }
}