﻿using System.Windows;
using System.Windows.Controls;

namespace TestProject
{
    /// <summary>
    /// 자동 스크롤 차단 트리 뷰 항목
    /// </summary>
    public class NoAutoScrollTreeViewItem : TreeViewItem
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - NoAutoScrollTreeViewItem()

        /// <summary>
        /// 생성자
        /// </summary>
        public NoAutoScrollTreeViewItem() : base()
        {
            RequestBringIntoView += delegate(object sender, RequestBringIntoViewEventArgs e)
            {
                e.Handled = true;
            };
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 항목 컨테이너 구하기 (오버라이드) - GetContainerForItemOverride()

        /// <summary>
        /// 항목 컨테이너 구하기 (오버라이드)
        /// </summary>
        /// <returns>항목 컨테이너</returns>
        protected override DependencyObject GetContainerForItemOverride()
        {
            return new NoAutoScrollTreeViewItem();
        }

        #endregion
    }
}